Subject: RE: draft-ietf-smime-idea-08.txt

From: "Teiwes, Stephan (iT_SEC)" <[email-masked]>
Date: Tue, 14 Nov 2000 08:29:18 +0100

Hi

draft-ietf-smime-idea-08.txt has been modified considering the comments of 
M. Masiutin, RIT Research Labs. 

*Stephan Teiwes, iT_Security AG

-----Original Message-----
From: Russ Housley [mailto:[email-masked]]
Sent: Montag, 13. November 2000 19:50
To: [email-masked]
Subject: draft-ietf-smime-idea-08.txt

All:

I believe that this takes care of all of the issues raised during working 
group Last Call.  Did I miss anything?

Russ

>From: "Teiwes, Stephan (iT_SEC)" <[email-masked]>
>To: "'Maxim Masiutin'" <[email-masked]>,
>         "Teiwes, Stephan (iT_SEC)"
>         <[email-masked]>,
>         "Hartmann, Peter  (iT_SEC)"
>         <[email-masked]>,
>         [email-masked], [email-masked]
>Subject: RE: Use of the IDEA Encryption Algorithm in CMS
>Date: Mon, 23 Oct 2000 16:52:21 +0200
>X-Mailer: Internet Mail Service (5.5.2448.0)
>List-Archive: http://www.imc.org/ietf-pkix/mail-archive/
>List-ID: <ietf-pkix.imc.org>
>List-Unsubscribe: mailto:[email-masked]?body=unsubscribe
>
>Dear Mr. Masuitin,
>
>thanks a lot. We'll consider your comments and try to improve the draft
>accordingly.
>
>*Stephan Teiwes
>iT_Security AG
>www.it-sec.com
>
>-----Original Message-----
>From: Maxim Masiutin [mailto:[email-masked]]
>Sent: Montag, 23. Oktober 2000 16:41
>To: [email-masked]; [email-masked];
>[email-masked]; [email-masked]
>Subject: Use of the IDEA Encryption Algorithm in CMS
>
>
>Dear authors of "Use of the IDEA Encryption Algorithm in CMS" draft!
>
>
>I have a question about following paragraph in
>draft-ietf-smime-idea-07.txt:
>
>-----------
>If IV is specified as above, it MUST be used as initial vector. In
>this case, the ciphertext MUST NOT include the initial vector. If
>IV is not specified, the first 64 bits of the ciphertext MUST be
>considered as the initial vector. However, this alternative of not
>including the IV SHOULD NOT be applied in CMS or S/MIME.
>-----------
>
>   The last sentence:
>
>"this alternative of not including the IV [into "iv OCTET STRING" of
>IDEA-CBCPar|into the first 64 bits of the ciphertext] SHOULD NOT be
>applied in CMS or S/MIME.
>
>
>Could you please expand this sentence by adding one of the short
>explanations that I've proposed?
>
>I do also have a question about the following paragraph:
>
>------------
>The SMIMECapability SEQUENCE representing the IDEA symmetric
>encryption algorithm MUST include the IDEA-CBC OID in the capabilityID
>field and the parameters field MUST be absent. The SMIMECapability
>SEQUENCE for IDEA encryption SHOULD be included in the symmetric
>encryption algorithms portion of the SMIMECapabilities list. The
>SMIMECapability SEQUENCE representing IDEA MUST be DER-encoded as
>follows: 300D 060B 2B06 0104 0181 3C07 0101 02.
>------------
>
>   Why don't you give ASN.1 notation of SMIMECapability SEQUENCE
>   representing IDEA as well as DER-encoded value? Please add ASN.1
>   notation to the draft. Also, please clarify the byte order.
>
>   And a test sample of CMS-message with IDEA will help me a lot!
>
>   Thank you in advance.
>
>
>
>--
>Maxim Masiutin,
>Software Engineer
>RIT Research Labs  http://www.ritlabs.com/